# Squid version 3 configuration file
#
# Created using the default configuration, applying the patch found in
# bug #763867 and doing
#   grep -v '^#' /etc/squid3/squid.conf |grep -v '^$'
# and finally adding a apt related refresh_pattern and
# maximum_object_size, append_domain and cache_dir settings.

acl SSL_ports port 443

acl Safe_ports port 80          # http
acl Safe_ports port 21          # ftp
acl Safe_ports port 443         # https
acl Safe_ports port 70          # gopher
acl Safe_ports port 210         # wais
acl Safe_ports port 1025-65535  # unregistered ports
acl Safe_ports port 280         # http-mgmt
acl Safe_ports port 488         # gss-http
acl Safe_ports port 591         # filemaker
acl Safe_ports port 777         # multiling http

acl CONNECT method CONNECT

# Grant access to the local networks
acl localnet src 10.0.0.0/8     # RFC1918 possible internal network
acl localnet src 172.16.0.0/12  # RFC1918 possible internal network
acl localnet src 192.168.0.0/16 # RFC1918 possible internal network
acl localnet src fc00::/7       # RFC 4193 local private network range
acl localnet src fe80::/10      # RFC 4291 link-local (directly plugged) machines

http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports
http_access allow localhost manager
http_access deny manager
http_access allow localnet
http_access allow localhost
http_access deny all
htcp_access allow localnet
htcp_access deny all

http_port 3128

coredump_dir /var/spool/squid3



refresh_pattern ^ftp:           1440    20%     10080
refresh_pattern ^gopher:        1440    0%      1440
refresh_pattern -i (/cgi-bin/|\?) 0     0%      0

# See bug #591839
refresh_pattern (Release|Packages(.gz)*)$      0       20%      2880

refresh_pattern .               0       20%     4320

# Cache larger files to cache more debian packages
maximum_object_size 153600 KB

#  - Appends .intern to hostnames without any dots in them.
append_domain .intern

# Adjust cache size to fit size of /var/spool/squid, the capasity is
# dynamically updated using
# /usr/share/debian-edu-config/tools/squid-update-cachedir
cache_dir ufs /var/spool/squid3 100 16 256
